<?php

spl_autoload_register(function ($class) {
    $classMap = [
        'Google_Collection' => 'Collection',
        'Google_Exception' => 'Exception',
        'Google_Model' => 'Model',
        'Google_Service' => 'Service',
        'Google_Service_Resource' => 'Resource',
    ];

    if (isset($classMap[$class])) {
        $newClass = 'Google\\' . $classMap[$class];
        class_alias($newClass, $class);
        return true;
    }

    if (0 === strpos($class, 'Google_Service_')) {
        $dir = __DIR__;
        $ext = '.php';

        $newClass = strtr($class, [
            '_Resource_' => '\\',
            '_' => '\\',
        ]);

        if (class_exists($newClass)) {
            class_alias($newClass, $class);
            return true;
        }

        $newClass = substr_replace(
            $newClass,
            '\\Model',
            strrpos($newClass, '\\'),
            0
        );

        if (class_exists($newClass)) {
            class_alias($newClass, $class);
            return true;
        }
    }
}, true, true);
